#!/bin/sh
# Simple apache access_log rotating script.
# Copylefted by hip0 ( Licensed under the General Public License .
# See http://www.gnu.org/licenses/gpl.txt.

## Don't modify !;]
# gets current date.
date_num=`date | awk '{ print $3 }'`;
# gets current month.
month=`date | awk '{ print $2 }'`;

## Put the apache log dir location and log file name below.
# apache log dir location.
apache_log_base=/usr/local/apache2/logs;
# apache log file name.
log_file_name=access_log;


if [ -s $apache_log_base/$log_file_name ] ; then
(cd $apache_log_base/; cp $log_file_name $log_file_name.$date_num;\
cat /dev/null > $log_file_name; gzip < $log_file_name.$date_num > $log_file_name.$date_num.gz )
if [ ! -d $apache_log_base/$month ]; then
mkdir $apache_log_base/$month;
fi
mv $apache_log_base/$log_file_name.$date_num.gz $apache_log_base/$month;
fi

exit 0

